#
# add openjdk 17 and basex on code-server docker image
# @author Andy Bunce
FROM alpine:latest AS builder
RUN apk --no-cache add zip
ADD https://files.basex.org/releases/10.4/BaseX104.zip /srv
RUN cd /srv && unzip *.zip && rm *.zip

# custom options
COPY  .basex /srv/basex/

# Main image
FROM ghcr.io/linuxserver/code-server:latest
LABEL author="Andy Bunce"
LABEL company="Quodatum Ltd"
LABEL maintainer="andy@quodatum.com"


ENV JAVA_HOME="/usr/lib/jvm/default-jvm/"
RUN apk add --no-cache bash openjdk17-jre-headless
# Has to be set explictly to find binaries 
ENV PATH=$PATH:${JAVA_HOME}/bin

RUN adduser -h /srv -D -u 1000 basex 
COPY --from=builder --chown=basex:basex /srv/ /srv

